%define name lwqq
%define version 0.4.0
%define release %mkrel 4

%define major 0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname -d %{name}

# no package provide devel(libmozjs-17.0), the .so is in the lib package
# use an explicit require for the devel package
%global __requires_exclude devel\\(libmozjs-17.0

Summary:	Cross Platform WebQQ Protocol
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	https://github.com/xiehuc/pidgin-lwqq/archive/v%{version}.tar.gz
# (blino) pthread is needed in async.c and msg.c
Patch0:		lwqq-0.4.0-pthread.patch
License:	GPLv3
Group:		Networking/Instant messaging
Url:		https://github.com/xiehuc/pidgin-lwqq
BuildRequires:  cmake
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(mozjs-17.0)

%description
lwqq means light weight QQ (also Linux webqq).
It provide a library for the webqq protocol.

lwqq is designed as cross platform and also provide a Python API to
support quick development.

lwqq is currently used in many open source projects.
The most well known is pidgin-lwqq.

%package -n %{libname}
Group:		System/Libraries
Summary:        %{summary}

%description -n %{libname}
lwqq means light weight QQ (also Linux webqq).
It provide a library for the webqq protocol.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	mozjs17-devel

%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%make

%install
pushd build
%makeinstall_std
popd
rm -f %{buildroot}%{_libdir}/lib%{name}.a

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.4.0-4.mga6
+ Revision: 945182
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-3.mga5
+ Revision: 743029
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 682059
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sun Aug 24 2014 blino <blino> 0.4.0-1.mga5
+ Revision: 666965
- initial release
- Created package structure for lwqq.

